Subject: Re: I-D Action: draft-ietf-httpbis-encryption-encoding-03.txt

From: Julian Reschke <[email-masked]>
Date: Tue, 15 Nov 2016 22:44:01 +0100

On 2016-10-11 00:42, Martin Thomson wrote:
> On 11 October 2016 at 04:03, Poul-Henning Kamp <[email-masked]> wrote:
>> As far as I can see, you are now introducing a new HTTP header syntax,
>
>
> Not as far as I can see.  If we accept the premise that the common
> structure is "list of (thing plus parameters)" then this fits that as
> long as "thing" is permitted to be null.  This is consistent with
> Forwarded-For and Cache-Control, for instance.  (I didn't make this
> comment when reviewing your draft, because I don't think we're at that
> point just yet.)

Indeed.

However, this falls apart if the header field allows valueless parameters.

Best regards, Julian